Query transcoding templates
Updated
Queries transcoding template configurations under a specified App ID.
https://api.sd-rtn.com/v1/projects/{appId}/rtls/abr/config/codecsQuery all transcoding template configurations under the specified App ID
Path Parameters
appIdstringThe App ID of the project
Header Parameters
Content-TypestringThe request content type. Use application/json.
Response
-
If the returned status code is
200, the request was successful. The response body contains the result of the request. -
If the returned status code is not
200, the request failed. The response body includes thedetailandreasonfor failure. Refer to status codes to understand the possible reasons for failure.
Response Body
The request succeeded and returned template data.
statusstringThe status of the request.
Status of the request.
- success: The request was successful.
- error: The request failed
dataobjectenabledbooleanWhether to enable the multi-bitrate function on the viewer side.
codecsarray<object>idstringThe ID of the transcoding template.
enabledbooleanWhether to enable this transcoding template.
VideoobjectwidthnumberThe width of the transcoded output video in pixels.
The width of the transcoded output video (px).
heightnumberThe height of the transcoded output video in pixels.
The height of the transcoded output video (px).
fpsnumberThe frame rate of the transcoded output video.
The frame rate (fps) of the transcoded output video.
Response example
{
"status": "The status of this request:\n- `success`: The request succeeded.\n- `error`: The request failed.\n",
"data": {
"enabled": true,
"codecs": [
{
"id": "The ID of the transcoding template.",
"enabled": true,
"video": {
"width": 0,
"height": 0,
"fps": 0
}
}
]
}
}
Request examples
curl --request get \ --url https://api.sd-rtn.com/v1/projects/:appId/rtls/abr/config/codecs \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: <string>'Response example
{ "status": "success", "data": { "enabled": true, "codecs": [ { "id": "The ID of the transcoding template.", "enabled": true, "video": { "width": 0, "height": 0, "fps": 0 } } ] }}